Skip to main content
`Ctrl`+`K`

# DMPlexCheckCellShape

Checks the Jacobian of the mapping from reference to real cells and computes some minimal statistics.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckCellShape(DM dm, PetscBool output, PetscReal condLimit)

Collective

## Input Parameters

- dm - The `DMPLEX` object

- output - If true, statistics will be displayed on `stdout`

- condLimit - Display all cells above this condition number, or `PETSC_DETERMINE` for no cell output

## Notes

This is mainly intended for debugging/testing purposes.

For the complete list of DMPlexCheck* functions, see `DMSetFromOptions()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMSetFromOptions()`, `DMPlexComputeOrthogonalQuality()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

## Examples

src/dm/impls/plex/tutorials/ex9.c
src/dm/impls/forest/tutorials/ex1.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages